<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Clientes_certificador_model extends CI_Model
{
    public function __construct()
    {
        parent::__construct();
    }

    public function addConexion($data)
    {
        return $this->db->insert('sma_clientes_certificador_conexion', $data);
    }

    public function updateConexion($id, $data)
    {
        $this->db->where('id', $id);
        return $this->db->update('sma_clientes_certificador_conexion', $data);
    }

    public function deleteConexion($id)
    {
        return $this->db->delete('sma_clientes_certificador_conexion', ['id' => $id]);
    }

    public function getConexionByID($id)
    {
        $q = $this->db->get_where('sma_clientes_certificador_conexion', ['id' => $id], 1);
        if ($q->num_rows() > 0) {
            return $q->row();
        }
        return false;
    }

    public function getAllConexiones()
    {
        $q = $this->db->get('sma_clientes_certificador_conexion');
        if ($q->num_rows() > 0) {
            return $q->result();
        }
        return false;
    }
}
